Bug 475901 - system-config-display is unable to set resolution when manually pick up monitor
system-config-display is unable to set resolution when manually pick up monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 19:13 EST by Milan Kerslager
Modified: 2009-12-18 02:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:15:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2008-12-10 19:13:32 EST
I have troubles with ATI, nVidia and VIA chips.
In the past I was able to run s-c-d, pick up proper resolution manually and then set higher resolution (than was in use in the time of s-c-d has been run).

Now even I change resolution of my LCD or CRT manually (all in X running), s-c-d does not allow to set higger resolution than actually is in place (even re-run s-c-d).

Screen section has no Modes line then (even this is working workaround for most troubles with autodetection of HW capabilities).

I have system-config-display-1.1.1-1.fc10.noarch.
Comment 1 Matěj Cepl 2008-12-21 19:12:07 EST
Don't use s-c-d anymore. Just run X with whatever resolution you get automagically (you may try just to remove xorg.conf -- it should work pretty well with the auto-discovered values these days) and then change the resolution using gnome-display-properties (or xrandr(1)).

Closing as NOTABUG -- configuration issue. Please reopen with the additional information, if you find this explanation not sufficient to resolve your issue.
Comment 2 Milan Kerslager 2008-12-22 02:02:36 EST
Working with no xorg.conf is pretty buggy (and I'm trying to report all issues I have for long time with a very little effect).

The s-c-d is not installed by default. So the user may expect that if s-c-d will be installed and xorg.conf will be created as workaround, all will work as expected. But this si not possible and s-c-d is broken in F10.

See bug #474339 and bug #470217 for Radeon bug with resolution detection. Both may work if proper xorg.conf is created. If xorg.conf is not created, Fedora 10 is useless. This affect more cards, see #475896 for openchrome issue.

xrandr is useless when proper resolution (or maximal or virtual for your LCD or CRT) is not detected and the user end up with 800x600 as maximum that xranrd will not be able to pass.
Comment 3 Adam Pribyl 2009-01-29 07:53:55 EST
The problem is in the fact, that s-c-d does not write ANY config changes. It just backups the old one and changes the comment line, that config was modified by s-c-d, but there are no modifications according what you choose. The config remains the same - at least for any monitor modification. If the s-c-d is broken why it is included in distro? IMHO: the autodetection is really not that far to leave users without ability to set basic parameters with GUI tool.
Comment 4 Bug Zapper 2009-11-18 05:26:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:15:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.